---
title: 质押奖励
---

这里概述了一个权益证明/(PoS)，/(即使用协议内资产SOL，提供安全共识/)设计。 Solana实现了集群中验证节点节点的权益证明奖励/安全方案。 其目的有三点。

- 通过风险的游戏中的皮肤存款，使验证节点的激励措施与大群的激励措施相一致。

  .

- 通过实施旨在促进分叉收敛的削减规则，避免 "事不关己 "的分叉投票问题。

  .

- 为验证节点提供一个作为验证节点参与集群的功能而提供的验证节点奖励渠道。

  .

虽然目前很多具体实施的细节还在考虑中，预计会通过Solana测试网的具体建模研究和参数探索成为焦点，但我们在这里概述一下我们目前对PoS系统主要组成部分的思考。 这个思路大部分是基于Casper FFG的现状，在Solana的历史证明 (PoH) 区块链数据结构允许的情况下进行优化和具体属性修改。

## 总体概述

Solana的账本验证设计是基于一个轮流的、经过质押加权的选定的领导者在PoH数据结构中向验证节点广播交易。 这些节点在收到领导者的广播后，有机会通过签署交易到PoH流中对当前状态和PoH高度进行投票。

要成为Solana验证节点，必须在合约中存入/锁定一定数量的SOL。 这个SOL在特定的时间段内是无法使用的。 押金锁定期的确切时间还没有确定。 但是我们可以考虑这段时间的三个阶段，这三个阶段将需要特定的参数。

- _预热期_：SOL质押在哪个节点，哪个节点便无法进入，

  然而，PoH交易验证还没有开始。 最有可能的顺序是

  天到周

- _验证期_：交存的SOL的最短期限。

  无法进入，有可能被罚没(见下文罚没规则)，并赚取。

  对审定者的参与给予奖励。 可能持续的时间为数月至一年。

  .

- _冷却期_：提交“取款“业务后的一段时间。

  . 在此期间，验证责任已被删除，

  资金仍无法进入。 累积奖励

  应在这一时期结束时交付，同时归还首期存款；

  .

Solana的PoH数据结构所提供的无信任的时间感和秩序感，以及其[turbine](https://www.youtube.com/watch?v=qt_gDRXHrHQ&t=1s)数据广播和传输设计，应该提供亚秒级的交易确认时间，其规模与集群中节点数量的对数相一致。 这意味着我们不应该用一个令人望而却步的 "最低存款 "来限制验证节点的数量，并期望节点能够以名义上的SOL质押量成为验证节点。 同时，Solana对高吞吐量的关注应该为验证客户端提供高性能和可靠的硬件创造动力。 再加上潜在的最低网络速度门槛，作为验证客户加入，我们预计一个健康的验证委托市场将会出现。 为此，Solana的testnet将导致 "Tour de SOL "验证客户竞争，重点是吞吐量和正常运行时间，对testnet验证节点进行排名和奖励。

## 处罚

如[经济设计](ed_overview/ed_overview.md)一节所述，验证节点的年利率将被规定为已质押的流通供应总量百分比的函数。 集群对在整个_验证期_内在线并积极参与验证过程的验证节点进行奖励。 对于在此期间离线/未能验证交易的验证节点，他们的年度奖励会有效减少。

同样，我们可以考虑在验证节点离线的情况下，通过算法降低其活跃金额质押金额。 例如， 如果一个验证节点在一段时间内不活跃，无论是由于分区还是其他原因，他们被认为是 "活跃 "的质押金额(有资格获得奖励) 可能会减少。 这种设计的结构将有助于长期存在的分区最终达到各自链的最终性，因为随着时间的推移，无投票权的总股权比例会减少，直到每个分区的活跃验证节点可以达到超级多数。 同样，在重新参与时，"活跃 "的股权数量将以某种确定的速度重新上线。 根据分区/活跃集的大小，可以考虑不同的质押减少率。
